[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFields.GetEnumerator

Return an enumerator for the for..in construct

## Declaration

Source position: db.pas line 1155

`public function TFields.GetEnumerator: TFieldsEnumerator;`

## Function result

TFieldsEnumerator instance used in enumerator.

## Description

GetEnumerator is the implementation of IEnumerable and returns an instance of TFieldsEnumerator

## See also

TFieldsEnumerator |  | Default enumerator for the fields collection of a dataset.
#rtl.system.IEnumerable